Update a device

Update a device by the given id.

put
Path parameters
idstringRequired

The id of the device.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class provides the Device Update Request Dto.

namestring · min: 1Required

The name of the device.

phoneNumberstring · nullableOptional

The phone number of the device.

avatarURLstring · uri · nullableOptional

The avatar URL of the device.

tagsstring · nullableOptional

The tags of the device.

statusstring · enumOptional

Represents the status of a device within the system.

Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/devices/{id}

Last updated